# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Tests for `examples/weight_space.py`."""

from absl.testing import absltest

from jax.config import config
from examples import weight_space
from tests import test_utils

config.parse_flags_with_absl()
config.update('jax_numpy_rank_promotion', 'raise')


class WeightSpaceTest(test_utils.NeuralTangentsTestCase):

  def test_weight_space(self):
    weight_space.main(None)


if __name__ == '__main__':
  absltest.main()
